import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Strand met wormen, kreeften en een krab
 */
public class Strand extends World {

    /**
     * Maak een nieuwe wereld aan.
     */
    public Strand() {    
        super(600, 400, 1); 
        
        Greenfoot.setSpeed(43);
        
        addObject (new Kreeft(), 80, 80);
        addObject (new Kreeft(), 80, getHeight()-80);
        addObject (new Kreeft(), getWidth()-80, 80);
        
        addObject (new Krab(), getWidth()-80, getHeight()-80);
        
        // wormen op willekeurige plaatsen
        for (int i=0; i < 12; i++) {
            int x = Greenfoot.getRandomNumber(getWidth());
            int y = Greenfoot.getRandomNumber(getHeight());
            addObject (new Worm(), x, y);
        }
        
        setPaintOrder(Kreeft.class, Krab.class, Worm.class);
    }
    
    /**
     * Kijk hoeveel wormen er nog over zijn.
     */
    public void act() {
        int overblijvendeWormen = getObjects(Worm.class).size();
        if (overblijvendeWormen <= 4) {
            Greenfoot.playSound("fanfare.wav");
            removeObjects(getObjects(Kreeft.class));
            Greenfoot.stop();            
        }
    }
}
